QwtDialSimpleNeedle(3)

NAME
QwtDialSimpleNeedle - A needle for dial widgets.

SYNOPSIS

#include <qwt_dial_needle.h>

Inherits QwtDialNeedle.

  Public Types
enum Style { Arrow, Ray }
Style of the needle.

  Public Member Functions
QwtDialSimpleNeedle (Style, bool hasKnob=true, const QColor &mid=Qt::gray, const QColor &base=Qt::darkGray)
void setWidth (double width)
double width () const

  Protected Member Functions
virtual void drawNeedle (QPainter *, double length, QPalette::ColorGroup) const override

Detailed Description

A needle for dial widgets. The following colors are used:

•   QPalette::Mid
     Pointer

•   QPalette::Base
     Knob

See also
    QwtDial, QwtCompass

Definition at line 81 of file qwt_dial_needle.h.

Member Enumeration Documentation

  enum QwtDialSimpleNeedle::Style

Style of the needle.

Enumerator

Arrow
    Arrow.

Ray A straight line from the center.

Definition at line 85 of file qwt_dial_needle.h.

Constructor & Destructor Documentation

  QwtDialSimpleNeedle::QwtDialSimpleNeedle (Style style, bool hasKnob = true, const QColor & mid = Qt::gray, const QColor & base = Qt::darkGray)
Constructor

Parameters
    style Style
    hasKnob With/Without knob
    mid Middle color
    base Base color

Definition at line 273 of file qwt_dial_needle.cpp.

Member Function Documentation

  void QwtDialSimpleNeedle::drawNeedle (QPainter * painter, double length, QPalette::ColorGroup colorGroup) const [override], [protected], [virtual]
Draw the needle

Parameters
    painter Painter
    length Length of the needle
    colorGroup Color group, used for painting

Implements QwtDialNeedle.

Definition at line 312 of file qwt_dial_needle.cpp.

  void QwtDialSimpleNeedle::setWidth (double width)
Set the width of the needle

Parameters
    width Width

See also
    width()

Definition at line 291 of file qwt_dial_needle.cpp.

  double QwtDialSimpleNeedle::width () const

Returns
    the width of the needle

See also
    setWidth()

Definition at line 300 of file qwt_dial_needle.cpp.

Author

Generated automatically by Doxygen for Qwt User's Guide from the source code.